Development documentation
=========================

This documentation covers the architecture of the Claroline platform, of its
core and its plugin system. It also includes information on best practices and
references to useful external resources. It doesn't cover the topic of the
installation. For this matter, you can see the main [readme][1] file.

Structure
---------

- [Overview][2]
- [Core architecture][3]
    - [Event tracking][11]
    - [Third-party application][14]
- [Plugin development][4]
    - [Resources][5]
    - [Resource actions] [15]
    - [Tools][6]
    - [Widgets][7]
    - [Players][8]
    - [Themes][9]
    - [Logs][13]
- [Development tools][10]

[1]: ../../../../../../README.md
[2]: sections/overview.md
[3]: sections/core.md
[4]: sections/plugins.md
[5]: sections/plugins/resources.md
[6]: sections/plugins/tools.md
[7]: sections/plugins/widgets.md
[8]: sections/plugins/players.md
[9]: sections/plugins/themes.md
[10]: sections/dev-tools.md
[11]: sections/event-tracking.md
[13]: sections/plugins/logs.md
[14]: sections/third-party-application.md
[15]: sections/plugins/resource-actions.md
