<?php

namespace Icap\BlogBundle\Migrations\pdo_ibm;

use Doctrine\DBAL\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

/**
 * Auto-generated migration based on mapping information: modify it with caution
 *
 * Generation date: 2013/08/20 01:37:19
 */
class Version20130820133717 extends AbstractMigration
{
    public function up(Schema $schema)
    {
        $this->addSql("
            CREATE TABLE icap__blog_tag (
                id INTEGER GENERATED BY DEFAULT AS IDENTITY NOT NULL,
                name VARCHAR(255) NOT NULL,
                PRIMARY KEY(id)
            )
        ");
        $this->addSql("
            CREATE UNIQUE INDEX UNIQ_8BE678285E237E06 ON icap__blog_tag (name)
        ");
        $this->addSql("
            CREATE TABLE icap__blog_post (
                id INTEGER GENERATED BY DEFAULT AS IDENTITY NOT NULL,
                user_id INTEGER DEFAULT NULL,
                blog_id INTEGER DEFAULT NULL,
                title VARCHAR(255) NOT NULL,
                content CLOB(1M) NOT NULL,
                slug VARCHAR(128) NOT NULL,
                creation_date TIMESTAMP(0) NOT NULL,
                modification_date TIMESTAMP(0) NOT NULL,
                publication_date TIMESTAMP(0) DEFAULT NULL,
                status SMALLINT NOT NULL,
                PRIMARY KEY(id)
            )
        ");
        $this->addSql("
            CREATE UNIQUE INDEX UNIQ_1B067922989D9B62 ON icap__blog_post (slug)
        ");
        $this->addSql("
            CREATE INDEX IDX_1B067922A76ED395 ON icap__blog_post (user_id)
        ");
        $this->addSql("
            CREATE INDEX IDX_1B067922DAE07E97 ON icap__blog_post (blog_id)
        ");
        $this->addSql("
            CREATE TABLE icap__blog_post_tag (
                post_id INTEGER NOT NULL,
                tag_id INTEGER NOT NULL,
                PRIMARY KEY(post_id, tag_id)
            )
        ");
        $this->addSql("
            CREATE INDEX IDX_C3C6F4794B89032C ON icap__blog_post_tag (post_id)
        ");
        $this->addSql("
            CREATE INDEX IDX_C3C6F479BAD26311 ON icap__blog_post_tag (tag_id)
        ");
        $this->addSql("
            CREATE TABLE icap__blog_comment (
                id INTEGER GENERATED BY DEFAULT AS IDENTITY NOT NULL,
                user_id INTEGER DEFAULT NULL,
                post_id INTEGER DEFAULT NULL,
                message CLOB(1M) NOT NULL,
                creation_date TIMESTAMP(0) NOT NULL,
                publication_date TIMESTAMP(0) DEFAULT NULL,
                status SMALLINT NOT NULL,
                PRIMARY KEY(id)
            )
        ");
        $this->addSql("
            CREATE INDEX IDX_95EB616FA76ED395 ON icap__blog_comment (user_id)
        ");
        $this->addSql("
            CREATE INDEX IDX_95EB616F4B89032C ON icap__blog_comment (post_id)
        ");
        $this->addSql("
            CREATE TABLE icap__blog (
                id INTEGER GENERATED BY DEFAULT AS IDENTITY NOT NULL,
                infos CLOB(1M) DEFAULT NULL,
                resourceNode_id INTEGER DEFAULT NULL,
                PRIMARY KEY(id)
            )
        ");
        $this->addSql("
            CREATE UNIQUE INDEX UNIQ_FD75E6C4B87FAB32 ON icap__blog (resourceNode_id)
        ");
        $this->addSql("
            CREATE TABLE icap__blog_options (
                id INTEGER GENERATED BY DEFAULT AS IDENTITY NOT NULL,
                blog_id INTEGER DEFAULT NULL,
                authorize_comment SMALLINT NOT NULL,
                authorize_anonymous_comment SMALLINT NOT NULL,
                post_per_page SMALLINT NOT NULL,
                auto_publish_post SMALLINT NOT NULL,
                auto_publish_comment SMALLINT NOT NULL,
                PRIMARY KEY(id)
            )
        ");
        $this->addSql("
            CREATE UNIQUE INDEX UNIQ_D1AAC984DAE07E97 ON icap__blog_options (blog_id)
        ");
        $this->addSql("
            ALTER TABLE icap__blog_post
            ADD CONSTRAINT FK_1B067922A76ED395 FOREIGN KEY (user_id)
            REFERENCES claro_user (id)
        ");
        $this->addSql("
            ALTER TABLE icap__blog_post
            ADD CONSTRAINT FK_1B067922DAE07E97 FOREIGN KEY (blog_id)
            REFERENCES icap__blog (id)
        ");
        $this->addSql("
            ALTER TABLE icap__blog_post_tag
            ADD CONSTRAINT FK_C3C6F4794B89032C FOREIGN KEY (post_id)
            REFERENCES icap__blog_post (id)
            ON DELETE CASCADE
        ");
        $this->addSql("
            ALTER TABLE icap__blog_post_tag
            ADD CONSTRAINT FK_C3C6F479BAD26311 FOREIGN KEY (tag_id)
            REFERENCES icap__blog_tag (id)
            ON DELETE CASCADE
        ");
        $this->addSql("
            ALTER TABLE icap__blog_comment
            ADD CONSTRAINT FK_95EB616FA76ED395 FOREIGN KEY (user_id)
            REFERENCES claro_user (id)
        ");
        $this->addSql("
            ALTER TABLE icap__blog_comment
            ADD CONSTRAINT FK_95EB616F4B89032C FOREIGN KEY (post_id)
            REFERENCES icap__blog_post (id)
        ");
        $this->addSql("
            ALTER TABLE icap__blog
            ADD CONSTRAINT FK_FD75E6C4B87FAB32 FOREIGN KEY (resourceNode_id)
            REFERENCES claro_resource_node (id)
            ON DELETE CASCADE
        ");
        $this->addSql("
            ALTER TABLE icap__blog_options
            ADD CONSTRAINT FK_D1AAC984DAE07E97 FOREIGN KEY (blog_id)
            REFERENCES icap__blog (id)
        ");
    }

    public function down(Schema $schema)
    {
        $this->addSql("
            ALTER TABLE icap__blog_post_tag
            DROP FOREIGN KEY FK_C3C6F479BAD26311
        ");
        $this->addSql("
            ALTER TABLE icap__blog_post_tag
            DROP FOREIGN KEY FK_C3C6F4794B89032C
        ");
        $this->addSql("
            ALTER TABLE icap__blog_comment
            DROP FOREIGN KEY FK_95EB616F4B89032C
        ");
        $this->addSql("
            ALTER TABLE icap__blog_post
            DROP FOREIGN KEY FK_1B067922DAE07E97
        ");
        $this->addSql("
            ALTER TABLE icap__blog_options
            DROP FOREIGN KEY FK_D1AAC984DAE07E97
        ");
        $this->addSql("
            DROP TABLE icap__blog_tag
        ");
        $this->addSql("
            DROP TABLE icap__blog_post
        ");
        $this->addSql("
            DROP TABLE icap__blog_post_tag
        ");
        $this->addSql("
            DROP TABLE icap__blog_comment
        ");
        $this->addSql("
            DROP TABLE icap__blog
        ");
        $this->addSql("
            DROP TABLE icap__blog_options
        ");
    }
}
