<?php

/**
 * To export an open question in QTI
 *
 */

namespace UJM\ExoBundle\Services\classes\QTI;

class openExport extends qtiExport
{
    protected $interactionopen;

    /**
     * Implements the abstract method
     *
     * @access public
     * @param \UJM\ExoBundle\Entity\Interaction $interaction
     * @param qtiRepository $qtiRepos
     *
     */
    public function export(\UJM\ExoBundle\Entity\Interaction $interaction, qtiRepository $qtiRepos)
    {
        $this->qtiRepos = $qtiRepos;
        $this->question = $interaction->getQuestion();

        $this->interactionopen = $this->doctrine
                                ->getManager()
                                ->getRepository('UJMExoBundle:InteractionOpen')
                                ->findOneBy(array('interaction' => $interaction->getId()));

        $this->qtiHead('extendedText', $this->question->getTitle());
        $this->qtiResponseDeclaration('RESPONSE','string', $this->getCardinality());
        $this->qtiOutComeDeclaration();
        $this->defaultValueTag();
        $this->itemBodyTag();

        if(($this->interactionopen->getInteraction()->getFeedBack()!=Null)
                && ($this->interactionopen->getInteraction()->getFeedBack()!="") ){
            $this->qtiFeedBack($interaction->getFeedBack());
        }
    }

    /**
     * Implements the abstract method
     * add the tag prompt in extendedTextInteraction
     *
     * @access protected
     *
     */
    protected function promptTag()
    {
        $arg_list = func_get_args();
        $node = $arg_list[0];
        $invite =$this->interactionopen->getInteraction()->getInvite();
        $prompt = $this->document->CreateElement('prompt');
        //Managing the resource export
        $body=$this->qtiExportObject($invite);
        foreach ($body->childNodes as $child) {
            $inviteNew = $this->document->importNode($child, true);
            $prompt->appendChild($inviteNew);
        }
        $node->appendChild($prompt);
    }


    /**
     * Implements the abstract method
     * add the tag correctResponse in responseDeclaration
     *
     * @access protected
     *
     */
    protected function correctResponseTag()
    {
        $this->correctResponse = $this->document->CreateElement('correctResponse');
        $this->responseDeclaration[0]->appendChild($this->correctResponse);
    }

    /**
     * add the tag defaultValue in outcomeDeclaration
     *
     * @access protected
     *
     */
    protected function defaultValueTag()
    {
        $defaultValue = $this->document->createElement("defaultValue");
        $Tagvalue = $this->document->CreateElement("value");
        $responsevalue =  $this->document->CreateTextNode($this->interactionopen->getScoreMaxLongResp());
        $Tagvalue->appendChild($responsevalue);
        $defaultValue->appendChild($Tagvalue);
        $this->outcomeDeclaration->appendChild($defaultValue);
    }

    /**
     * add the tag defaultValue in outcomeDeclaration
     *
     * @access private
     *
     * @return String value of cardinality for the responseDeclaration element
     */
    private function getCardinality()
    {
        $cardinality = 'single';
        if ($this->interactionopen->getTypeOpenQuestion() == 'short') {
            $cardinality = 'multiple';
        }

        return $cardinality;
    }
}
